
Redmine - Defect #9467

Error 500 on form submit (POST)

2011-10-25 00:01 - Anonymous

Status: Closed Start date: 2011-10-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.2

Description

Hi,

I'm running a working version of redmine on a server.

I've just rent a new server and want to migrate my redmine from old to new server. All is the same (except hardware).

On the new server, redmine work fine, and i can see all my public projects, BUT when i want to login or register or forgot password,

on submiting forms, i've got an error 500 from apache.

The query in search box work fine.

There is NOTHING in logs (apache error or acces or redmine logs).

I'm running redmine 1.1.2 thrue apache+passenger. I've tried to update to 1.2.x but it's the same.

here is my conf

# RAILS_ENV=production ruby script/about

config.load_paths is deprecated and removed in Rails 3, please use autoload_paths instead

config.load_paths= is deprecated and removed in Rails 3, please use autoload_paths= instead

About your application's environment

Ruby version              1.8.7 (amd64-freebsd8)

RubyGems version          1.6.2

Rack version              1.1.2

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          /ssd/www/coda-cola.net/phea/htdocs

Environment               production

Database adapter          mysql

Database schema version   20101114115359

 
# gem list

*** LOCAL GEMS ***

actionmailer (2.3.11)

actionpack (2.3.11)

activerecord (2.3.11)

activeresource (2.3.11)

activesupport (2.3.11)

fastthread (1.0.7)

i18n (0.4.2)

inifile (0.4.1)

lockfile (1.4.3)

net-ssh (2.2.1)

passenger (2.2.11)

rack (1.1.2)

rails (2.3.11)

rake (0.9.2)

2025-05-08 1/2



sources (0.0.1)

 
# uname -rms

FreeBSD 8.2-STABLE amd64

 
# pkg_info | grep ruby | awk '{print $1}'

ruby+nopthreads-1.8.7.352_2,1

ruby18-bdb-0.6.6

ruby18-gems-1.6.2

ruby18-iconv-1.8.7.352,1

ruby18-mysql-2.8.2_1

ruby18-rmagick-2.13.1_2

 All gem, ports and ruby versions are the same on both server. I can't understand ...

Thanks for help

History

#1 - 2011-10-25 00:28 - Anonymous

running thrue webrick :

# su -m www -c "ruby script/server webrick -e production" 

=> Booting WEBrick

=> Rails 2.3.11 application starting on http://0.0.0.0:3000

config.load_paths is deprecated and removed in Rails 3, please use autoload_paths instead

config.load_paths= is deprecated and removed in Rails 3, please use autoload_paths= instead

=> Call with -d to detach

=> Ctrl-C to shutdown server

[2011-10-25 00:26:22] INFO  WEBrick 1.3.1

[2011-10-25 00:26:22] INFO  ruby 1.8.7 (2011-06-30) [amd64-freebsd8]

[2011-10-25 00:26:22] INFO  WEBrick::HTTPServer#start: pid=94829 port=3000

  SQL (0.1ms)   SET NAMES 'utf8'

  SQL (0.1ms)   SET SQL_AUTO_IS_NULL=0

(...)

 All works fine ...

#2 - 2011-10-25 12:40 - Anonymous

- Status changed from New to Resolved

I've found a solution.

i've rebuild apache without IPv6 and all works now. Dunno why, but now it's working fine.

#3 - 2011-10-25 16:46 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thanks for your feedback.
